<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class HolidayResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "name" => $this->name,
            "start_date" => $this->start_date,
            "end_date" => $this->end_date,
            "no_days" => $this->no_days,

            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
