<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Attendance>
 */
class AttendanceFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "date" => $this->faker->date,
            "is_present" => $this->faker->boolean,
            "login_time" => "10:00:00",
            "logout_time" => "19:00:00",
            "break_time" => null,
            "no_task_time" => null,
            "learning_time" => null,
            "learning_topic" => null,
            "efficient_work_hours" => null,
            "start_location" => null,
            "end_location" => null,
        ];
    }
}
