<?php

namespace Database\Factories;

use App\Models\EmployeeBreak;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\EmployeeBreak>
 */
class BreakFactory extends Factory
{
    protected $model = EmployeeBreak::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "date" => $this->faker->date,
            "start_time" => $this->faker->time,
            "end_time" => null,
            "reason" => $this->faker->paragraph,
            "is_approved" => $this->faker->boolean(75),
            "type" => null,
        ];
    }
}
