<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\client>
 */
class ClientFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "name" => $this->faker->name,
            "company_name" => "Client Company",
            "billing_name" => $this->faker->name,
            "email" => $this->faker->email,
            "phone_number" => $this->faker->phoneNumber,
            "gst_no" => $this->faker->numberBetween(100000000, 999999999),
            "latitude" => $this->faker->latitude,
            "longitude" => $this->faker->longitude,
            "dob" => $this->faker->date
        ];
    }
}
