<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Invoice>
 */
class InvoiceFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "date" => $this->faker->date,
            "amount" => $this->faker->numberBetween(50000, 500000),
            "status" => $this->faker->randomElement(["pending", "paid"]),
            "file" => null,
        ];
    }
}
