<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Lead>
 */
class LeadFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "name" => $this->faker->name,
            "email" => $this->faker->email,
            "phone_number" => $this->faker->phoneNumber,
            "source" => $this->faker->words(3, true),
            "status" => $this->faker->word,
        ];
    }
}
