<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Meeting>
 */
class MeetingFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "date_time" => $this->faker->dateTime,
            "agenda" => $this->faker->words(5, true),
            "outcome" => $this->faker->words(5, true),
            "status" => null,
            "expected_duration" => "00:30:00",
            "final_duration" => null,
        ];
    }
}
