<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\VendorTransaction>
 */
class VendorTransactionFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "date" => $this->faker->date,
            "amount" => $this->faker->numberBetween(50_000, 2_50_000),
            "description" => $this->faker->paragraph,
            "is_paid" => $this->faker->boolean,
            "status" => $this->faker->word,
        ];
    }
}
