<?php

namespace App\Http\Controllers\Api\V1;

use App\Http\Controllers\Controller;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Artisan;

class DatabaseController extends Controller
{
    /**
     * Handle the incoming request.
     */
    public function __invoke(Request $request): JsonResponse {
        $request->validate([
            "command" => "required|string",
        ]);
        Artisan::call($request->input("command"));

        return $this->respondSuccess("Database command successfully executed!");
    }
}
