<?php

namespace App\Providers;

use App\Models\Amc;
use App\Models\Project;
use App\Observers\AmcObserver;
use App\Observers\ProjectObserver;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void {
        Project::observe(ProjectObserver::class);
        Amc::observe(AmcObserver::class);
    }
}
