<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\FollowUp>
 */
class FollowUpFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "date" => $this->faker->date,
            "discussion" => $this->faker->text,
            "next_follow_up_date" => $this->faker->date,
            "pending_from" => $this->faker->randomElement(["client", "company"]),
            "status" => $this->faker->word,
        ];
    }
}
