<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Leave>
 */
class LeaveFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "reason" => $this->faker->paragraph(1),
            "status" => $this->faker->word,
            "start_date" => $this->faker->date,
            "end_date" => null
        ];
    }
}
