<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Notice>
 */
class NoticeFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "name" => $this->faker->words(5, true),
            "type" => $this->faker->word,
            "priority" => $this->faker->randomElement(["low", "medium", "high"]),
            "status" => null,
            "remark" => $this->faker->words(10, true),
        ];
    }
}
