<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Notification>
 */
class NotificationFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "name" => $this->faker->word,
            "type" => $this->faker->word,
            "priority" => $this->faker->randomElement(["low", "medium", "high"]),
            "is_seen" => $this->faker->boolean,
        ];
    }
}
