<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Rating>
 */
class RatingFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "point_type" => "Test type",
            "point_value" => $this->faker->numberBetween(10, 50),
            "reason" => $this->faker->paragraph(1),
            "point_specification" => "manual",
        ];
    }
}
