<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('holidays', function (Blueprint $table) {
            $table->id();

            $table->string("name", 100);
            $table->date("start_date");
            $table->date("end_date");
            $table->unsignedTinyInteger("no_days")->default(1);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('holidays');
    }
};
