@component('mail::message')
# New Annual Maintenance Contract Created

A new annual maintenance contract (AMC) has been created. Below are the details:

- **Company:** {{ $companyName }}
- **Service:** {{ $serviceName }}
- **Client:** {{ $clientName }}
- **Start Date:** {{ (new DateTime($amc->start_date))->format('d-m-Y') }}
- **End Date:** {{ (new DateTime($amc->end_date))->format('d-m-Y') }}
- **Amount:** {{ $amc->amount }} INR

@if($amc->invoice_copy)
- **Invoice Copy:** [Download Invoice]({{ url('storage/app/public/invoices/'.$amc->invoice_copy) }})
@endif

Thank you,<br>
{{ config('app.name') }}
@endcomponent

