@component('mail::message')
# A meeting is scheduled for you

@component('mail::panel')
The meeting is scheduled for **{{ \Carbon\Carbon::parse($dateTime)->format('d M Y') }}** at **{{ \Carbon\Carbon::parse($dateTime)->format('H:i:s') }}**.
@endcomponent

- **Agenda:** {{ $agenda }}

@component('mail::button', ['url' => $link])
Join Meeting
@endcomponent

Thanks,  
{{ config('app.name') }}
@endcomponent
