@component('mail::message')
# A new project has been created

@component('mail::panel')
Here are the details of the new project:
@endcomponent

- **Project Name:** {{ $name }}
- **Client Name:** {{ $clientName }}
- **Start Date:** {{ $startDate }}
- **End Date:** {{ $endDate }}
- **Cost:** ${{ number_format($cost, 2) }}
- **Test URL:** {{ $testUrl }}
- **Live URL:** {{ $liveUrl }}

Thanks,  
{{ config('app.name') }}

@endcomponent
