<?php $__env->startComponent('mail::message'); ?>
# New Annual Maintenance Contract Created

A new annual maintenance contract (AMC) has been created. Below are the details:

- **Company:** <?php echo e($companyName); ?>

- **Service:** <?php echo e($serviceName); ?>

- **Client:** <?php echo e($clientName); ?>

- **Start Date:** <?php echo e((new DateTime($amc->start_date))->format('d-m-Y')); ?>

- **End Date:** <?php echo e((new DateTime($amc->end_date))->format('d-m-Y')); ?>

- **Amount:** <?php echo e($amc->amount); ?> INR

<?php if($amc->invoice_copy): ?>
- **Invoice Copy:** [Download Invoice](<?php echo e(url('storage/app/public/invoices/'.$amc->invoice_copy)); ?>)
<?php endif; ?>

Thank you,<br>
<?php echo e(config('app.name')); ?>

<?php echo $__env->renderComponent(); ?>

<?php /**PATH C:\code\php\laravel\udit solutions\internal-software\resources\views/mail/amc-created.blade.php ENDPATH**/ ?>